Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008914TestLinkBug Tracking System - Mantis Integrationpublic2020-05-06 17:502020-05-20 18:44
Reporterevans 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformOSOS Version
Product Version1.9.20 
Fixed in Version1.9.20_fixed 
Summary0008914: Error adding a mantis bug to a testlink test case
DescriptionI did the mantis integration with the testlink, via database successfully, I see the integration link of both in the case of tests, but I cannot link to the test case a bug created in Mantis.

Mantis and Testlink are installed on the same server.

Testlink 1.9.20_fixed
Mantis 2.2.24
Additional InformationError:

#0 database->exec_query() called at [/home/domains/server/public_html/testlink/lib/issuetrackerintegration/mantisdbInterface.class.php:156]

#1 mantisdbInterface->checkBugIDExistence() called at [/home/domains/server/public_html/testlink/lib/execute/bugAdd.php:55]
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
BrowserFirefox 75.0
PHP Version7.4.4
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Error_testlink_mantis.png [^] (38,015 bytes) 2020-05-06 17:50


png file icon Testlink_error3.png [^] (62,129 bytes) 2020-05-11 13:13

- Relationships

-  Notes
(0029671)
fman (administrator)
2020-05-06 19:27

if you do not enable more debug as the message suggest it's impossible to help
In addition the detailed steps to reproduce are not provided, then I do not know what I the format of the ticket ID you have provided.
(0029679)
evans (reporter)
2020-05-11 13:05
edited on: 2020-05-11 13:14

Hi Fman, sorry, I didn't really enable debugging.
The steps to reproduce, are the most common, bug already opened in the mantis, get the ID of the bu and include it in the Test Case.

I checked several times to make sure that the bug exists in Mantis, it includes 000001 and only 01 and 1, to see if it would work and still nothing.

I will try to enable further debugging.

Thank you for now!

(0029680)
fman (administrator)
2020-05-11 19:25

tested using mantis 2.24.1 and testlink branch testlink_1_9_20_fixed
all installed in the same server , on Mac OS using latest MAMP Pro version

unable to reproduce
(0029681)
evans (reporter)
2020-05-11 19:57

*** Solution ***

I analyzed the logs, found the problem and I will report here, so that other people with the same problem can solve it in the future.

The Hostinger company, where my database is hosted, prefixes the database tables.

Testlink was looking for the "mantis_bug_table" table but in its place it found the "whfx_bug_table" table and therefore presented an error.

I logged into PHpMyAdmin, performed a backup of the bank and after that I changed the prefix of the tables to "nantis", after that, the script started to run normally.
(0029682)
fman (administrator)
2020-05-11 22:08

Ok, thanks
the other option is that you change the code in mantisdbInterface.class.php

- Issue History
Date Modified Username Field Change
2020-05-06 17:50 evans New Issue
2020-05-06 17:50 evans File Added: Error_testlink_mantis.png
2020-05-06 19:27 fman Note Added: 0029671
2020-05-06 19:28 fman QA Team - Task Workflow Status => TBD
2020-05-06 19:28 fman Priority urgent => normal
2020-05-06 19:28 fman Severity major => minor
2020-05-09 14:38 fman Assigned To => fman
2020-05-09 14:38 fman Status new => feedback
2020-05-11 13:05 evans Note Added: 0029679
2020-05-11 13:05 evans Status feedback => assigned
2020-05-11 13:13 evans File Added: Testlink_error3.png
2020-05-11 13:14 evans Note Edited: 0029679 View Revisions
2020-05-11 19:25 fman Note Added: 0029680
2020-05-11 19:25 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2020-05-11 19:25 fman Status assigned => resolved
2020-05-11 19:25 fman Fixed in Version => 1.9.20_fixed
2020-05-11 19:25 fman Resolution open => no change required
2020-05-11 19:57 evans Note Added: 0029681
2020-05-11 22:08 fman Note Added: 0029682
2020-05-20 18:44 evans Note Added: 0029710
2020-05-20 18:47 evans Note Deleted: 0029710



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker